Subject: Cygnus tools rebuild
From: [email-masked] (Jonathan Wilkins)

2 Jun 1997 22:04:23 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

I have rebuild everything in the cdk-src distribution with the supplied
scripts..

there were some problems:

configure:
	No errors were reported, but it is obvious that all errors in the make
and install originated here..

make:
     - TCL/TK both have the line
		DLLTOOL=@DLLTOOL@
	set in /src/{TCL/TK}/win/Makefile.in this remains the same after the
 	configure in /obj/{TCL/TK}/win/Makefile.

     - GPERF
	it needs to be build last (or at least after the libcygwin.a is built)
 	and an include dir needs to be specified in the local makefile 
	(/obj/winsup)

     - GDB
	this includes -lX11 and I don't believe that this is necessary.. please
	correct me if I am wrong here..

make install:
     - FLEX
	I had to do this by hand because it kept crashing on different errors.. 
     - TCL/TK
	move install-sh from /src/{TCL/TK}/unix to /src/{TCL/TK}/win
     - TK
	change man from $(SRC_DIR) to $(TOP_DIR) in a couple of places and there
 	was a problem with the install-binaries: section of the makefile
	I had to split the ranlib line.	I now have:
	@cd $(LIB_INSTALL_DIR)
	@$(RANLIB) $(TK_LIB_FILE)

     - GCC
	The install-headers section was giving me troubles with tar so I am 	using
cp -R instead..

There is one last item.. I did an install to /install to see how the
directories looked before running it to my real root (/cygnus) and saw that
the directory tree looked quite different 
/install has :
	bin
	etc
	i386-pc-cygwin32
		bin
		include
			arpa
			asm
			...
		install-tools
		lib
			ld-scripts
	include
		g++
			gen
			std
		readline
	info
	lib
		gcc-lib
			i386-pc-cygwin32
				cygnus-2.7.2-970404
					include
						objc
	man
		man1
		man3
	share
		gdbtcl
		tk4.2

whereas /cygnus looks like:
	H-i386-cygwin32
		bin
		etc
		i386-cygwin32
		lib
		libexec
	include
	info
	man
	share

and so forth.. everyone here should be familiar with the hierarchy.. 
anyway, is this normal? it would seem that a different set of files were
used to create the beta 18 distribution than what is distributed as
cdk-src.tar.gz

any ideas?
-=-=-=-=-=-=-=-
Jonathan Wilkins      |  Futuaris   | If only they had used their
[email-masked]   | Non Irresus | terminals for niceness instead
http://www.secnet.com |  Ridebus    | of evil ...-Maxwell Smart
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".